export enum ComponentType {
  Tool = 'tool',
  UIComponent = 'component',
  Directive = 'directive'
}

export interface Component {
  componentType: string;
  id: string;
  name: string;
  type: ComponentType;
  tag?: string;
  upperCase: string;
  zhName: string;
}

const resolveComponents = () => {
  const packageMap = require('../src/components/map.json');
  const componentList: Component[] = [];
  Object.keys(packageMap).forEach(name => {
    const componentName = name.split('-').map(it => it.substring(0, 1).toUpperCase() + it.substring(1)).join('');
    componentList.push({
      name: packageMap[name].name,
      id: name,
      componentType: packageMap[name].componentType,
      zhName: packageMap[name].chineseName,
      upperCase: componentName,
      type: packageMap[name].type,
      tag: packageMap[name].tag
    });
  });
  return componentList;
};
module.exports = resolveComponents();
